Bug 616041 - Individual actions are created while scheduling 'Config File Deploy' on number of Systems using SSM
Individual actions are created while scheduling 'Config File Deploy' on numbe...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Petr Sklenar
:
Depends On:
Blocks: sat540-blockers
  Show dependency treegraph
 
Reported: 2010-07-19 10:08 EDT by Vishal Gaikwad
Modified: 2010-10-28 10:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 10:59:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vishal Gaikwad 2010-07-19 10:08:36 EDT
Description of problem:
Scheduling a config file deployment on a group of system (using SSM) we see the actions are displayed separately for each system.

Version-Release number of selected component (if applicable):
Red Hat Network Satellite 5.3.0

How reproducible:
Always

Steps to Reproduce:
1. Select 10 systems which are having provisioning entitlement as well as subscribed to same config channel
2. Go to system set manager -> configuration -> schedule a config file to be deployed on those systems
3. Go to system set manager -> packages -> schedule a package to be installed on them
4. Go to Schedule tab
  
Actual results:
- Here you see that there are 10 actions listed which show config file deployment scheduled on those 10 systems
- And just 1 action is listed with # of systems showing as 10 for the package install scheduled.

Expected results:
- Actions listed for config file deployment should also show just 1 with # of systems as 10 very similar to the way it shows for package install scheduled on multiple systems.
Comment 3 Justin Sherrill 2010-08-05 16:29:58 EDT
fixed in spacewalk master:

99feaf6706156e003c28d7f673a499d92e0b0e18
Comment 4 Petr Sklenar 2010-10-07 10:32:25 EDT
test procedure:

1. Select 10 systems which are having provisioning entitlement as well as
subscribed to same config channel
2. Go to system set manager -> configuration -> schedule a config file to be
deployed on those systems
3. Go to system set manager -> packages -> schedule a package to be installed
on them
4. Go to Schedule tab

Package installation is one action now.

tested with: Satellite-5.4.0-RHEL5-re20101001.1
Comment 5 Petr Sklenar 2010-10-07 10:47:49 EDT
(In reply to comment #4)
> test procedure:
> 
> 1. Select 10 systems which are having provisioning entitlement as well as
> subscribed to same config channel
> 2. Go to system set manager -> configuration -> schedule a config file to be
> deployed on those systems
> 3. Go to system set manager -> packages -> schedule a package to be installed
> on them
> 4. Go to Schedule tab
> 

I meant one action for configuration file deployment.

filled during testing:
Bug 641019  - Individual actions are created while scheduling VERIFY and UPGRADE on number of Systems using SSM
Comment 8 Clifford Perry 2010-10-28 10:54:31 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.